<?php 
/**
 * CPT Name: WooCommerce Product
 * CPT Type: Salient
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

get_header( 'shop' );
nectar_page_header( $post->ID );
$nectar_fp_options = nectar_get_full_page_options();
?>

<div class="container-wrap">
  <div class="<?php if ( $nectar_fp_options['page_full_screen_rows'] !== 'on' ) { echo 'container'; } ?> main-content">
    <div class="row">
      
      <?php
      nectar_hook_before_content(); 

      global $product;
      do_action( 'woocommerce_before_single_product' );
      
      if ( post_password_required() ) {
        echo get_the_password_form();
        return;
      }

      $nectar_options        = get_nectar_theme_options(); 
      $product_style         = (!empty($nectar_options['product_style'])) ? $nectar_options['product_style'] : 'classic';
      $product_gallery_style = (!empty($nectar_options['single_product_gallery_type'])) ? $nectar_options['single_product_gallery_type'] : 'default';
      $product_hide_sku      = (!empty($nectar_options['woo_hide_product_sku'])) ? $nectar_options['woo_hide_product_sku'] : 'false';

      ?>

      <?php if( function_exists('wc_product_class') ) { ?>
        <div itemscope data-project-style="<?php echo esc_attr($product_style); ?>" data-hide-product-sku="<?php echo esc_attr($product_hide_sku); ?>" data-gallery-style="<?php echo esc_attr($product_gallery_style); ?>" data-tab-pos="<?php echo (!empty($nectar_options['product_tab_position'])) ? esc_attr($nectar_options['product_tab_position']) : 'default'; ?>" id="product-<?php the_ID(); ?>" <?php wc_product_class('', $product); ?>>
      <?php } else { ?>
        <div itemscope data-project-style="<?php echo esc_attr($product_style); ?>" data-hide-product-sku="<?php echo esc_attr($product_hide_sku); ?>" data-gallery-style="<?php echo esc_attr($product_gallery_style); ?>" data-tab-pos="<?php echo (!empty($nectar_options['product_tab_position'])) ? esc_attr($nectar_options['product_tab_position']) : 'default'; ?>" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
      <?php } ?>

        <?php cptemplates_template_content(); ?>

      </div><!-- #product-<?php the_ID(); ?> -->
      <?php

      do_action( 'woocommerce_after_single_product' );
      
      nectar_hook_after_content();
      ?>
      
    </div><!--/row-->
  </div><!--/container-->
</div><!--/container-wrap-->

<?php get_footer( 'shop' ); ?>